%global realname riak_core
%global upstream basho
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	2.1.5
Release:	1%{?dist}
Summary:	Distributed systems infrastructure used by Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
# https://github.com/basho/riak_core/pull/799
Patch1:		erlang-riak_core-0001-Use-a-new-riak_core_util-unique_seed-0-function.patch
# https://github.com/basho/riak_core/pull/799
Patch2:		erlang-riak_core-0002-Fix-chashbin-record-typespec-warning.patch
# Fedora-specific
Patch3:		erlang-riak_core-0003-Don-t-use-pbkdf2-as-application.patch
# https://github.com/basho/riak_core/pull/639
Patch4:		erlang-riak_core-0004-Use-poolboy-API-for-stopping-poolboy.patch
# Fedora-specific
Patch5:		erlang-riak_core-0005-Revert-Copy-in-mochiglobal-as-riak_core_mochiglobal.patch
BuildRequires:	erlang-basho_stats >= 1.0.3
BuildRequires:	erlang-clique
BuildRequires:	erlang-cluster_info
BuildRequires:	erlang-eleveldb
BuildRequires:	erlang-exometer_core
BuildRequires:	erlang-lager >= 1.2.2
BuildRequires:	erlang-meck
BuildRequires:	erlang-mochiweb
BuildRequires:	erlang-poolboy >= 0.8.1
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_ensemble
BuildRequires:	erlang-riak_sysmon >= 1.1.3



%description
Distributed systems infrastructure used by Riak.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .deprecated_bif
%patch2 -p1 -b .proper_type
%patch3 -p1 -b .no_app_for_pbkdf2
%patch4 -p1 -b .poolboy_api
%patch5 -p1 -b .use_mochiweb


%build
%{erlang_compile}


%install
%{erlang_install}
install -D -p -m 644 priv/riak_core.schema %{buildroot}%{erlang_appdir}/priv/riak_core.schema


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md docs/*
%{erlang_appdir}/


%changelog
* Fri Apr 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.5-1
- Ver. 2.1.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-2
- Fix webmachine dep

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4.p1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-3.p1
- Ver. 1.2.1p1

* Fri Oct 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Rebuild with new lager

* Wed Oct 10 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Thu Jul 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-3
- Re-export one handy function

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Fri Feb 25 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.1-1
- Ver. 0.14.1

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.0-1
- Ver. 0.14.0
- Dropped upstreamed patch

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.13.0-1
- Initial build

